package logic

import (
	"app.yhyue.com/moapp/jybase/common"
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"jyBXBase/api/internal/svc"
	"jyBXBase/api/internal/types"
	"jyBXBase/rpc/type/bxbase"
)

type LabelActionLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewLabelActionLogic(ctx context.Context, svcCtx *svc.ServiceContext) *LabelActionLogic {
	return &LabelActionLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *LabelActionLogic) LabelAction(req *types.LabelAction) (resp *types.CommonRes, err error) {
	res, err0 := l.svcCtx.Bxbase.LabelAction(l.ctx, &bxbase.LabelActionReq{
		UserId:  req.UserId,
		Laction: req.Laction,
		Binfo:   req.Binfo,
		Lids:    req.Lids,
		Lname:   req.Lname,
		AppId:   req.AppId,
	})
	if err0 != nil {
		return &types.CommonRes{
			Err_code: -1,
			Err_msg:  "错误",
			Data:     nil,
		}, nil
	}
	return &types.CommonRes{
		Err_code: common.IntAll(res.ErrCode),
		Err_msg:  res.ErrMsg,
		Data:     res.Status,
	}, nil
}
